Bug 102566 - login(1) man page incorrect
login(1) man page incorrect
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-18 00:53 EDT by Steve Bonneville
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for default PATH discussion in login(1) man page (644 bytes, patch)
2003-08-18 01:00 EDT, Steve Bonneville
no flags Details | Diff

  None (edit)
Description Steve Bonneville 2003-08-18 00:53:29 EDT
Description of problem:

The login(1) man page is incorrect in the upstream util-linux-2.11y source.  The
PATH defaults claimed differ from the ones actually used in lib/pathnames.h. 

The man page claims:
  (regular user): /usr/local/bin:/bin:/usr/bin:.
  (root user): /sbin:/bin:/usr/sbin:/usr/bin

lib/pathnames.h actually sets:
  (regular user): /usr/local/bin:/bin:/usr/bin
  (root user): /usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

Version-Release number of selected component (if applicable):
  util-linux-2.11y

Patch to login-utils/login.1 attached.
Comment 1 Steve Bonneville 2003-08-18 01:00:32 EDT
Created attachment 93701 [details]
Fix for default PATH discussion in login(1) man page 

The resulting man page could still use some formatting cleanup.  The context
diff mentions /usr/spool/mail, but this seems to get corrected somehow during
the build process to /var/spool/mail.
Comment 2 Elliot Lee 2004-08-20 15:13:15 EDT
Added to CVS, thanks.

Note You need to log in before you can comment on or make changes to this bug.